From 5958a57053a755030e930c63168f09ca8fab1c84 Mon Sep 17 00:00:00 2001
From: "Pavel I. Kryukov" <kryukov@frtk.ru>
Date: Sun, 1 Dec 2019 01:40:21 +0300
Subject: [PATCH] sim-utils.c: prevent buffer overflow.

Representation of max 32-bit integer is 10 chars.
The potential issue is observed by GCC 7 targeted to AArch64.

sim/common/ChangeLog:
2019-12-01  Pavel I. Kryukov  <kryukov@frtk.ru>

	* sim-utils.c: Prevent buffer overflow.
---
 sim/common/ChangeLog   | 4 ++++
 sim/common/sim-utils.c | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index a7ec5c7..12d900e 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,3 +1,7 @@
+2019-12-01  Pavel I. Kryukov  <kryukov@frtk.ru>
+
+	* sim-utils.c: Prevent buffer overflow.
+
 2019-09-23  Dimitar Dimitrov  <dimitar@dinux.eu>
 
 	* gennltvals.sh: Add PRU libgloss target.
diff --git a/sim/common/sim-utils.c b/sim/common/sim-utils.c
index e83a2e4..a60dd92 100644
--- a/sim/common/sim-utils.c
+++ b/sim/common/sim-utils.c
@@ -355,7 +355,7 @@ map_to_str (unsigned map)
     case io_map: return "io";
     default:
       {
-	static char str[10];
+	static char str[16];
 	sprintf (str, "(%ld)", (long) map);
 	return str;
       }
@@ -385,7 +385,7 @@ access_to_str (unsigned access)
     case access_read_write_exec_io: return "read_write_exec_io";
     default:
       {
-	static char str[10];
+	static char str[16];
 	sprintf (str, "(%ld)", (long) access);
 	return str;
       }
-- 
2.7.4

